How do I update Appointments + Plugin version?

Hi there,

I am currently using 1.2.8 and I'd like to upgrade to 1.3. I downloaded 1.3, but when I try to upload it to my WordPress multisite, it won't let me and says "a folder with that name already exists". Sorry to ask such a lame question, but how in the world do I update the plugin and preserve all of my service providers, settings, etc?

Thanks,

Jaime